extends ../components/layout/layout.pug
include ../components/blocks/order/order.pug
include ../components/blocks/data-table/data-table.pug
include ../components/blocks/report/report-nav/report-nav.pug
include ../components/blocks/report/report-form/report-form.pug
include ../components/layout/right-bar/right-bar.pug
include ../components/blocks/car/car.pug
include ../components/blocks/car/car-edit/car-edit.pug

block vars
    - var htmlclasses = "html_report-add"

block metaog

block metaseo
    +headMetaSeo(head.main)

block append body
    +right-bar()

block append page
    .section.section_default
        .section__content
            .section__header
                .section__title
                    h1 Редактирование отчёта
            .section__body
                .report-edit
                    .report-edit__nav
                        +report-nav(reportNav)
                    .report-edit__content
                        +report-form(reportBody)


                        //.report-form__header
                            h1.report-form__title Кузов
                        //.report-form__body
                            .report-edit__switch
                                .btn.btn_s.btn_default
                                    .btn__title Список/Схема
                            script.
                                $('.report-edit__switch .btn').on('click', function () {
                                    $(this).toggleClass('btn_active');
                                    $(this).closest('.report-edit__content').toggleClass('report-edit__content_scheme');
                                    if ($(this).hasClass('btn_active')) {
                                        $('.report-form__item').each(function () {
                                            var that = $(this)
                                            var $id = that.attr('data-id')
                                            $(this).appendTo('.car-scheme__marker[data-id="' + $id + '"]');
                                        });
                                    } else {

                                        $('.report-form__item').appendTo('.report-form');
                                    }

                                });
                            .report-group
                                .report-group__header
                                    h3.report-group__title Силовые элементы
                                .report-group__body
                                    .report-field
                                        .report-field__header
                                            h5.report-field__title Крыша
                                            .report-field__controls
                                                label.check.check_binary.check_binary_fail
                                                    input(type="radio" required)
                                                    .check__icon.icon.icon_m.icon_fail.icon_circle
                                                        svg
                                                            use(xlink:href="#icon_close_24")
                                                label.check.check_binary.check_binary_success
                                                    input(type="radio" required)
                                                    .check__icon.icon.icon_m.icon_success.icon_circle
                                                        svg
                                                            use(xlink:href="#icon_check_24")
                                        .report-field__body
                                            .report-form__checkbox
                                                .list.list_xs
                                                    .list__item
                                                        label.check.check_default
                                                            input(type="checkbox")
                                                            .check__icon
                                                            .check__title Окрашено
                                                    .list__item
                                                        label.check.check_default
                                                            input(type="checkbox")
                                                            .check__icon
                                                            .check__title Скол/царапина
                                                    .list__item
                                                        label.check.check_default
                                                            input(type="checkbox")
                                                            .check__icon
                                                            .check__title Вмятина
                                                    .list__item
                                                        label.check.check_default
                                                            input(type="checkbox")
                                                            .check__icon
                                                            .check__title Коррозия/ржавчина

                                            .field__control.control.control_default.control_m
                                                textarea
                                    .report-edit__scheme
                                        .car-scheme
                                            img.car-scheme__img(src="https://yastatic.net/autoru-frontend-poffer/_/YomtX7pajNIkOUdJWDhd7yLLmJ0.png")
                                            .car-scheme__marker.car-scheme__marker_1(data-id="1")
                                            .car-scheme__marker.car-scheme__marker_2(data-id="2")
                                            .car-scheme__marker.car-scheme__marker_3(data-id="3")
                                        script.
                                            $('.car-scheme__marker').on('click', function (e) {
                                                var that = $(this)


                                                //var $id = that.attr('data-id')
                                                that.toggleClass('car-scheme__marker_active');
                                                //$('.report-form__item[data-id="'+$id+'"]').appendTo(that);
                                                //console.log($id);

                                            });


                            .report-group
                                .report-group__header
                                    h3.report-group__title Внешние элементы
                                .report-group__body
